<?php
namespace AkTest\Image\Processor;

use Ak\Image\Processor\Adapter\AdapterPluginManager;
use Ak\Test\AbstractTestCase as BaseAbstractTestCase;

/**
 * Class AbstractTestCase
 *
 * @package AkTest\Image\Processor
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/image-processor
 */
abstract class AbstractTestCase extends BaseAbstractTestCase
{
    public $providers = [
        TestConfigProvider::class,
    ];

    /**
     * @return AdapterPluginManager
     */
    protected function getAdapterPluginManager(): AdapterPluginManager
    {
        $container = $this->getContainer();
        return $container->get('image_processor.adapters');
    }
}
