<?php
namespace AkTest\Image\Processor\Adapter;

use Ak\Image\Image;
use Ak\Image\Processor\Adapter\AdapterChain;
use AkTest\Image\Processor\AbstractTestCase;

final class AdapterChainTest extends AbstractTestCase
{
    public function testCanProcessMimeTypeReturnsFalseWhenNoProcessorsAdded()
    {
        $chain = new AdapterChain();
        $this->assertFalse($chain->canProcessImage(new Image()));
    }
}