<?php
namespace Ak\Image\Processor;

use Ak\ServiceManager\AbstractFactory\PluginManagerAbstractFactory;

return [
    'dependencies' => [
        'aliases' => [
            'image_processor'          => ProcessorInterface::class,
            'image_processor.adapters' => Adapter\AdapterPluginManager::class,
        ],

        'factories' => [
            ProcessorInterface::class           => ProcessorFactory::class,
            Adapter\AdapterPluginManager::class => PluginManagerAbstractFactory::class,
        ],
    ],
];