<?php
namespace AkTest\Image\Processor;

use Ak\Image\Processor\ConfigProvider;
use Laminas\ConfigAggregator\ConfigAggregator;

/**
 * Class TestConfigProvider
 *
 * @package AkTest\Image\Processor
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/image-processor
 */
final class TestConfigProvider
{
    public function __invoke()
    {
        return (new ConfigAggregator([
            ConfigProvider::class,
        ]))->getMergedConfig();
    }
}
